%global _empty_manifest_terminate_build 0
Name:           perl-Number-Compare
Version:        0.03
Release:        2
Summary:        Numeric comparisons
License:        GPL+ or Artistic
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/Number-Compare/
Source0:        http://www.cpan.org/authors/id/R/RC/RCLAMP/Number-Compare-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch
BuildRequires:  perl(ExtUtils::MakeMaker)
BuildRequires:  perl(Test::More)
BuildRequires:  perl-generators
Requires:       perl(Test::More)
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))
%description
Number::Compare compiles a simple comparison to an anonymous subroutine,
which you can call with a value to be tested again.
%package help
Summary : Numeric comparisons
Provides: perl-Number-Compare-doc
%description help
Number::Compare compiles a simple comparison to an anonymous subroutine,
which you can call with a value to be tested again.
%prep
%setup -q -n Number-Compare-%{version}
%build
export PERL_MM_OPT=""
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
export PERL_MM_OPT=""
rm -rf $RPM_BUILD_ROOT

make pure_install PERL_INSTALL_ROOT=$RPM_BUILD_ROOT

find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} \;
find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null \;

%{_fixperms} $RPM_BUILD_ROOT/*

pushd %{buildroot}
touch filelist.lst
if [ -d usr/bin ];then
    find usr/bin -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/sbin ];then
    find usr/bin -type f -printf "/%h/%f\n" >> filelist.lst
fi
popd
mv %{buildroot}/filelist.lst .
%check
make test

%clean
rm -rf $RPM_BUILD_ROOT

%files -f filelist.lst
%defattr(-,root,root,-)
%doc Changes
%{perl_vendorlib}/*
%files help
%{_mandir}/*

%changelog
* Thu Jul 16 2020 Shinwell Hu <micromotive@qq.com> 0.03-2
- Remove %{?dist} in release tag according to issue #I1NRGG

* Wed Jun 10 2020 Perl_Bot <Perl_Bot@openeuler.org> 0.03-1
- Specfile autogenerated by Perl_Bot
